> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set card limits

> Available on selected BINs only.



## OpenAPI

````yaml POST /cards/setTransactionLimit
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/setTransactionLimit:
    post:
      tags:
        - Cards
      summary: Set card limits
      description: Available on selected BINs only.
      operationId: setCardLimits
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                cardId:
                  type: string
                  description: Card ID
                maxOnDaily:
                  type: string
                  example: '20000'
                  description: Daily limit
                maxOnMonthly:
                  type: string
                  example: '20000'
                  description: Monthly limit
                maxOnPercent:
                  type: string
                  example: '20000'
                  description: Maximum amount per transaction
              required:
                - cardId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: string
                    description: Response code. Included in the related webhook
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data: 6c9d5a69-eb06-4471-b117-c9c2c9016c6b
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````